
/*
**	FILE:			ElapsedTimer.java
**
**	CREATED:		12th April 2000
**
**	DESCRIPTION:	Implements a elapsed period timer.
**
**	CHANGELOG:
**	DATE		TIME	DESCRIPTION
**	-----------	-----	------------------------------------------------------
**						
*/

import java.lang.System;
import java.lang.Long;

class	ElapsedTimer
{
	long	startms, stopms;
	boolean	run;

	public void	ElapsedTimer ()
	{
		startms = 0;
		stopms = 0;
		run = false;
	}

	public long	Elapsed ()
	{
		if (run)
			return currentMillis () - startms;
		else
			return stopms - startms;
	}

	public void	Start ()
	{
		run = true;
		startms = currentMillis ();
		stopms = startms;
	}

	public long	Stop ()
	{
		stopms = currentMillis();
		run = false;
		return Elapsed ();
	}

	protected long	currentMillis ()
	{
		return System.currentTimeMillis();
	}

	public String	toString ()
	{
		return (new Long (Elapsed())).toString();
	}
};

